//
//  ViewController.swift
//  poker
//
//  Created by Julio Hermosa on 4/13/20.
//  Copyright © 2020 Mobile Roshka. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    //var carta:Carta = Carta.init()
    var baraja:Baraja = Baraja()
    
    @IBOutlet weak var resultadoObtenido: UILabel!
    
    @IBOutlet weak var valorCarta1: UILabel!
    @IBOutlet weak var valorCarta2: UILabel!
    @IBOutlet weak var valorCarta3: UILabel!
    @IBOutlet weak var valorCarta4: UILabel!
    @IBOutlet weak var valorCarta5: UILabel!
    
    @IBOutlet weak var imagenCarta1: UIImageView!
    @IBOutlet weak var imagenCarta2: UIImageView!
    @IBOutlet weak var imagenCarta3: UIImageView!
    @IBOutlet weak var imagenCarta4: UIImageView!
    
    @IBOutlet weak var imagenCarta5: UIImageView!
    
    @IBOutlet weak var jugarBtn: UIButton!
    
    @IBAction func jugarAction(_ sender: Any) {
        jugar()
    }
    
    //llamamos a las funciones relativas al juego de la clase baraja (extraer cartas, obtener la jugada y volver a barajar las cartas)
    func jugar(){
       baraja.extraerCartas()
        resultadoObtenido.text = baraja.jugadas()
        
        //cargamos los valores del array en los labels de las cartas
        valorCarta1.text = baraja.nombreCarta[0]
        valorCarta2.text = baraja.nombreCarta[1]
        valorCarta3.text = baraja.nombreCarta[2]
        valorCarta4.text = baraja.nombreCarta[3]
        valorCarta5.text = baraja.nombreCarta[4]
        
        //segun el nombre de la imagen mostramos su palo
        imagenCarta1.image = UIImage(named: "poker-\(baraja.palo[0])")
        imagenCarta2.image = UIImage(named: "poker-\(baraja.palo[1])")
        imagenCarta3.image = UIImage(named: "poker-\(baraja.palo[2])")
        imagenCarta4.image = UIImage(named: "poker-\(baraja.palo[3])")
        imagenCarta5.image = UIImage(named: "poker-\(baraja.palo[4])")
        
        
        baraja.barajarCartas()
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
    }


}

